$! hcompinit.com
$!
$! Initialize VMS symbols for hcompress, hdecompress image compression
$! programs.
$!
$! Copyright (c) 1993 Association of Universities for Research
$! in Astronomy. All rights reserved. Produced under National
$! Aeronautics and Space Administration Contract No. NAS5-26555.
$!
$! R. White, 20 April 1992
$!
$! Determine where this procedure lives (assume that the command files
$! and executables are in this same directory)
$!
$ shellfile=f$parse(f$environment("procedure"),,,,"NO_CONCEAL")-"]["
$ hcompdir==f$extract(0,f$locate("]",shellfile),shellfile) + "]"
$!
$! executables are installed as VMS foreign commands
$!
$ hcomp:==$'hcompdir'hcomp
$ hdecomp:==$'hcompdir'hdecomp
$ modify:==$'hcompdir'modify
$!
$! command files have symbols defined too
$!
$ hcompress:==@'hcompdir'hcompress
$ fcompress:==@'hcompdir'fcompress
$ hdecompress:==@'hcompdir'hdecompress
$ fdecompress:==@'hcompdir'hdecompress
