// Copyright (C) 1999-2007
// Smithsonian Astrophysical Observatory, Cambridge, MA, USA
// For conditions of distribution and use, see copyright notice in "copyright"

#ifndef __fitsrice_h__
#define __fitsrice_h__

#include "compress.h"

template<class T>
class FitsRicem : public FitsCompressm<T> {
 protected:
  int block_;
  int noisebit_;

 private:
  int inflate(FitsFile*);

 public:
  FitsRicem(FitsFile*);
};

#endif
