// Copyright (C) 1999-2007
// Smithsonian Astrophysical Observatory, Cambridge, MA, USA
// For conditions of distribution and use, see copyright notice in "copyright"

#ifndef __fitshcompress_h__
#define __fitshcompress_h__

#include "compress.h"

template<class T>
class FitsHcompressm : public FitsCompressm<T> {
 protected:
  int scale_;
  int smooth_;

 private:
  int inflate(FitsFile*);
  int readint(unsigned char*);

 public:
  FitsHcompressm(FitsFile*);
};

#endif
